<div class="panel-header panel-header-sm"></div>
<div class="main-content">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <h5 class="title">Registrar Usuario</h5>
        </div>
        <div class="card-body">
          <form [formGroup]="formIngreso" (ngSubmit)="crear()">
            <div class="form-group">
              <div class="row">
                <div class="col-md-4 pr-1">
                  <div class="form-group">
                    <label for="rut" class="control-label">Rut</label>
                    <input
                      type="text"
                      class="form-control"
                      formControlName="rut"
                      placeholder="Rut"
                    />
                  </div>
                </div>
              <div class="col-md-3 px-1">
                <div class="form-group">
                  <label for="username" class="control-label">Username</label>
                  <input
                    class="form-control"
                    formControlName="username"
                    placeholder="Username"
                  />
                </div>
              </div>
              <div class="col-md-5 pl-1">
                <div class="form-group">
                  <label for="email">Email</label>
                  <input
                    formControlName="email"
                    class="form-control"
                    placeholder="Email"
                  />
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-4 pr-1">
                <div class="form-group">
                  <label for="nombreUsuario">Nombre</label>
                  <input
                    formControlName="nombreUsuario"
                    class="form-control"
                    placeholder="Nombre"
                  />
                </div>
              </div>
              <div class="col-md-3 px-1">
                <div class="form-group">
                  <label for="apellidoPaterno">Apellido Paterno</label>
                  <input
                  formControlName="apellidoPaterno"
                    class="form-control"
                    placeholder="Apaterno"
                  />
                </div>
              </div>
              <div class="col-md-5 pl-1">
                <div class="form-group">
                  <label for="apellidoMaterno">Apellido Materno</label>
                  <input
                    formControlName="apellidoMaterno"
                    class="form-control"
                    placeholder="Amaterno"
                  />
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label for="direccion">Dirección</label>
                  <input 
                  formControlName="direccion"
                  type="text" 
                  class="form-control" />
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-4 pr-1">
                <div class="form-group">
                  <label for="ciudad" class="control-label"
                    >Ciudad</label
                  >
                  <mat-select class="form-control"  formControlName="idComuna" >
                    <mat-option                       
                      *ngFor="let ciudad of ciudades"
                      [value]="ciudad.id"
                      ngDefaultControl 
                      >{{ ciudad.nombreComuna }}
                    </mat-option>
                  </mat-select>
                </div>
              </div>
              <div class="col-md-4 px-1">
                <div class="form-group">
                  <label for="contrasena">Contraseña</label>
                  <input
                  formControlName="contrasena"
                    type="text"
                    class="form-control"
                    placeholder="password"
                  />
                </div>
              </div>
              <div class="col-md-4 pl-1">
                <div class="form-group">
                  <label for="nombre">Tipo de permisos</label>
                  <mat-select class="form-control"  formControlName="permiso" >
                    <mat-option                       
                    *ngFor="let permiso of permisos" name="permiso"
                    [value]="permiso"
                      ngDefaultControl 
                      >{{ permiso }}
                    </mat-option>
                  </mat-select>
                </div>
              </div>
            </div>
            <br />
            <div class="col-md-4 px-1">
              <div class="form-group">
                <div class="container-login100-form-btn">
                  <button class="login100-form-btn">Registrar</button>
                </div>
              </div>
            </div>
          </div>
          </form>
        </div>
      </div>

      <div class="col-md-12">
        <div class="card card-plain">
          <div class="card-header">
            <h4 class="card-title">Usuarios Registrados</h4>
          </div>
          <div class="card-body">
            <div class="table-hover table-striped">
              <table class="table">
                <thead class="text-primary">
                  <th>Rut</th>
                  <th>Username</th>
                  <th>Nombre</th>
                  <th>Apellido Paterno</th>
                  <th>Apellido Materno</th>
                  <th>Email</th>
                  <th>Dirección</th>
                  <th>Ciudad</th>
                  <th>Tipo Permiso</th>
                  <th class="text-center">Opciones</th>
                </thead>
                <tbody>
                  <tr *ngFor="let usuario of usuarios">
                    <td scope="row">{{ usuario.rut }}</td>
                    <td>{{ usuario.username | titlecase }}</td>
                    <td>{{ usuario.nombreUsuario | titlecase }}</td>
                    <td>{{ usuario.apellidoPaterno | titlecase }}</td>
                    <td>{{ usuario.apellidoMaterno | titlecase }}</td>
                    <td>{{ usuario.email | titlecase }}</td>
                    <td>{{ usuario.direccion | titlecase }}</td>
                    <td>{{ usuario.comunas.nombreComuna }}</td>
                    <td>{{ usuario.tipoUsuario | titlecase }}</td>
                    <td class="text-center">
                      <button
                        mat-raised-button
                        color="primary"
                        style="margin: 10px"
                        [routerLink]="['/user-profile/editar-usuario', usuario.id
                        ]"
                      >
                        Editar
                      </button>

                      <button
                        mat-raised-button
                        color="warn"
                        (click)="eliminar(usuario)"
                      >
                        Eliminar
                      </button>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>

            <mat-paginator
              [length]="totalRegistros"
              [pageSize]="totalPorPagina"
              [pageIndex]="paginaActual"
              [pageSizeOptions]="pageSizeOptions"
              (page)="paginar($event)"
              showFirstLastButtons
              class="mx-2"
            >
            </mat-paginator>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
